> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch custom journal entry

> Returns the custom journal entry associated with the provided ID.



## OpenAPI

````yaml get /v1/businesses/{businessId}/custom-journal-entries/{customJournalEntryId}
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/custom-journal-entries/{customJournalEntryId}:
    get:
      tags:
        - Custom Journal Entries
      summary: Fetch custom journal entry
      description: Returns the custom journal entry associated with the provided ID.
      operationId: business.custom-journal-entries.get
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to fetch the custom journal entry from.
          required: true
          schema:
            type: string
            format: uuid
        - name: customJournalEntryId
          in: path
          description: The UUID of the custom journal entry to fetch.
          required: true
          schema:
            type: string
            format: uuid
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json.
          schema:
            type: string
      responses:
        '200':
          description: The custom journal entry.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiCustomJournalEntryWithEntry'
components:
  schemas:
    ApiCustomJournalEntryWithEntry:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the journal entry.
        external_id:
          type: string
          nullable: true
          description: External ID of the journal entry in your system.
        created_by:
          type: string
          description: Identifier of the user or system that created the journal entry.
        memo:
          type: string
          description: Description or memo of the journal entry.
        entry_id:
          type: string
          description: ID of the ledger entry.
        customer:
          $ref: '#/components/schemas/ApiCustomerData'
          nullable: true
          description: The customer associated with this journal entry, if any.
        vendor:
          $ref: '#/components/schemas/ApiVendorData'
          nullable: true
          description: The vendor associated with this journal entry, if any.
        line_items:
          type: array
          items:
            $ref: '#/components/schemas/ApiCustomJournalEntryLineItem'
          description: Line items for the journal entry.
        entry:
          $ref: '#/components/schemas/ApiLedgerEntry'
          description: The ledger entry associated with this journal entry.
        transaction_tags:
          type: array
          items:
            $ref: '#/components/schemas/ApiTag'
          description: Tags associated with the journal entry.
        metadata:
          $ref: '#/components/schemas/PlatformDefinedJson'
          nullable: true
          description: Arbitrary custom metadata in JSON format with a size limit of 1KB.
        reference_number:
          type: string
          nullable: true
          description: >-
            Any (typically user-visible) identifier you would like to associate
            with the custom journal entry. Can be used to filter when listing
            custom journal entries.
      required:
        - id
        - created_by
        - memo
        - entry_id
        - entry
        - transaction_tags
    ApiCustomerData:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the customer.
        external_id:
          type: string
          description: >-
            Unique ID of the customer in your system for linking purposes.
            **Idempotency key**.
          example: '31415926535'
        individual_name:
          type: string
          nullable: true
          description: >-
            Full name of the individual customer or contact at a corporate
            customer.
        company_name:
          type: string
          nullable: true
          description: Name of the company customer.
        email:
          type: string
          nullable: true
          description: Email address of the customer.
        mobile_phone:
          type: string
          nullable: true
          description: Mobile phone number of the customer.
        office_phone:
          type: string
          nullable: true
          description: Office phone number of the customer.
        address_string:
          type: string
          nullable: true
          description: Address of the customer.
        memo:
          type: string
          nullable: true
          description: >-
            Memo for any text you would like to associate with the customer (for
            example, to display to end users).
        status:
          type: string
          description: 'Status of the customer. Possible values: `ACTIVE`, `ARCHIVED`.'
          example: ACTIVE
        transaction_tags:
          type: array
          items:
            $ref: '#/components/schemas/ApiTag'
    ApiVendorData:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the vendor.
        external_id:
          type: string
          description: >-
            Unique ID of the vendor in your system for linking purposes.
            **Idempotency key**.
        individual_name:
          type: string
          nullable: true
          description: Full name of the individual vendor or contact at a corporate vendor.
        company_name:
          type: string
          nullable: true
          description: Name of the company vendor.
        email:
          type: string
          nullable: true
          description: Email address of the vendor.
        mobile_phone:
          type: string
          nullable: true
          description: Mobile phone number of the vendor.
        office_phone:
          type: string
          nullable: true
          description: Office phone number of the vendor.
        address_string:
          type: string
          nullable: true
          description: Address of the vendor.
        memo:
          type: string
          nullable: true
          description: >-
            Memo for any text you would like to associate with the vendor (for
            example, to display to end users).
        status:
          type: string
          enum:
            - ACTIVE
            - ARCHIVED
          description: Status of the vendor.
        transaction_tags:
          type: array
          items:
            $ref: '#/components/schemas/ApiTag'
    ApiCustomJournalEntryLineItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the line item.
        external_id:
          type: string
          nullable: true
          description: External ID of the line item in your system.
        memo:
          type: string
          nullable: true
          description: Optional memo for the line item.
        line_item_id:
          type: string
          description: ID of the line item in the ledger.
        transaction_tags:
          type: array
          items:
            $ref: '#/components/schemas/ApiTag'
          description: Tags associated with the line item.
      required:
        - id
        - line_item_id
    ApiLedgerEntry:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of the journal entry.
        business_id:
          type: string
          format: uuid
          description: ID of the business associated with this journal entry.
        ledger_id:
          type: string
          format: uuid
          description: ID of the general ledger containing this journal entry.
        agent:
          $ref: '#/components/schemas/ClassifierAgent'
          description: Entity that created the journal entry.
        entry_type:
          $ref: '#/components/schemas/LedgerEntryType'
          description: Type of entry.
        date:
          type: string
          format: date-time
          description: Date the ledger entry was recorded at.
        entry_at:
          type: string
          format: date-time
          description: >-
            Timestamp of the financial transaction associated with the line
            item.
        reversal_of_id:
          type: string
          nullable: true
          format: uuid
          description: ID of the ledger entry this is a reversal of.
        reversal_id:
          type: string
          nullable: true
          format: uuid
          description: ID of the reversal object associated with this entry.
        line_items:
          type: array
          items:
            $ref: '#/components/schemas/ApiLineItem'
          description: List of child line items associated with this entry.
    ApiTag:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: ID for the tag.
        key:
          type: string
          description: Key for the tag.
          example: ExampleTagKey
        dimension_display_name:
          type: string
          nullable: true
          description: Display name for the tag dimension.
        value:
          type: string
          description: Value for the tag.
          example: ExampleTagValue
        value_display_name:
          type: string
          nullable: true
          description: Display name for the tag value definition.
        dimension_id:
          type: string
          format: uuid
          description: ID of the tag dimension this tag belongs to.
        definition_id:
          type: string
          format: uuid
          description: ID of the tag value definition.
        archived_at:
          type: string
          format: date-time
          nullable: true
          description: When the tag was archived.
      required:
        - id
        - key
        - value
        - dimension_id
        - definition_id
    PlatformDefinedJson:
      type: object
      description: Arbitrary JSON data defined by the caller, with a 1KB size constraint.
      additionalProperties: true
      example:
        custom_field: value
        any valid json: below 1kb
        nested:
          meaning of life: 42
          array: []
    ClassifierAgent:
      type: string
      enum:
        - SMS
        - API
        - LAYER_AUTO
        - LAYER_MANUAL
    LedgerEntryType:
      type: string
      enum:
        - BANK
        - MANUAL
        - OPENING_BALANCE
    ApiLineItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of the ledger account line item.
        entry_id:
          type: string
          format: uuid
          description: ID of the Journal entry the ledger account line item was part of.
        account:
          $ref: '#/components/schemas/SingleApiChartAccount'
          description: Simplified Ledger Account object containing this line item.
        amount:
          type: integer
          format: int64
          description: Amount of the financial transaction associated with the line item.
        direction:
          $ref: '#/components/schemas/BankTransactionDirection'
          description: Direction of line item.
        entry_at:
          type: string
          format: date-time
          description: >-
            Timestamp of the financial transaction associated with the line
            item.
        createdAt:
          type: string
          format: date-time
          description: Timestamp when ledger entry was added to the ledger account.
    SingleApiChartAccount:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/AccountIdentifier'
        name:
          type: string
          description: Name of the account.
          example: Current Assets
        account_number:
          type: string
          nullable: true
          description: Account number if configured.
          example: '4000'
        stable_name:
          $ref: '#/components/schemas/AccountStableName'
        normality:
          $ref: '#/components/schemas/BankTransactionDirection'
        account_type:
          $ref: '#/components/schemas/ApiLedgerAccountType'
        account_subtype:
          $ref: '#/components/schemas/ApiLedgerAccountSubtype'
      description: A single ledger account without nested children.
    BankTransactionDirection:
      type: string
      enum:
        - CREDIT
        - DEBIT
    AccountIdentifier:
      oneOf:
        - $ref: '#/components/schemas/AccountId'
          description: ID of the account.
          title: Account ID
        - $ref: '#/components/schemas/AccountStableName'
          description: Stable name associated with the account.
          title: Account Stable Name
    AccountStableName:
      type: object
      required:
        - type
        - stable_name
      properties:
        type:
          type: string
          enum:
            - StableName
          description: Resource type. Value will be `StableName`.
          example: StableName
        stable_name:
          type: string
          example: CURRENT_ASSETS
          description: Stable name of the account.
    ApiLedgerAccountType:
      type: object
      properties:
        value:
          $ref: '#/components/schemas/LedgerAccountType'
          description: Type of the account.
        display_name:
          type: string
          description: Display name of the account type.
          example: Asset
    ApiLedgerAccountSubtype:
      type: object
      properties:
        value:
          $ref: '#/components/schemas/LedgerAccountSubtype'
        display_name:
          type: string
          description: Display name of the account subtype.
          example: Current Assets
    AccountId:
      type: object
      required:
        - type
        - id
      properties:
        type:
          type: string
          enum:
            - AccountId
          description: Resource type. Value will be `AccountId`.
          example: AccountId
        id:
          type: string
          format: uuid
          description: ID of the account.
    LedgerAccountType:
      type: string
      enum:
        - ASSET
        - LIABILITY
        - EQUITY
        - REVENUE
        - COGS
        - EXPENSE
    LedgerAccountSubtype:
      type: string
      enum:
        - BANK_ACCOUNTS
        - ACCOUNTS_RECEIVABLE
        - INVENTORY
        - PAYMENT_PROCESSOR_CLEARING_ACCOUNT
        - FIXED_ASSET
        - ACCUMULATED_DEPRECIATION
        - CASH
        - UNDEPOSITED_FUNDS
        - CURRENT_ASSET
        - NON_CURRENT_ASSET
        - PREPAID_EXPENSES
        - DEVELOPMENT_COSTS
        - LOANS_RECEIVABLE
        - INTANGIBLE_ASSET
        - ACCOUNTS_PAYABLE
        - CREDIT_CARD
        - TAXES_PAYABLE
        - INCOME_TAXES_PAYABLE
        - SALES_TAXES_PAYABLE
        - OTHER_TAXES_PAYABLE
        - PAYROLL_TAXES_PAYABLE
        - UNEARNED_REVENUE
        - PAYROLL_LIABILITY
        - PAYROLL_CLEARING
        - LINE_OF_CREDIT
        - TIPS
        - REFUND_LIABILITIES
        - UNDEPOSITED_OUTFLOWS
        - OUTGOING_PAYMENT_CLEARING_ACCOUNT
        - OTHER_CURRENT_LIABILITY
        - LOANS_PAYABLE
        - NOTES_PAYABLE
        - SHAREHOLDER_LOAN
        - NON_CURRENT_LIABILITY
        - CONTRIBUTIONS
        - DISTRIBUTIONS
        - COMMON_STOCK
        - PREFERRED_STOCK
        - ADDITIONAL_PAID_IN_CAPITAL
        - RETAINED_EARNINGS
        - ACCUMULATED_ADJUSTMENTS
        - OPENING_BALANCE_EQUITY
        - OTHER_EQUITY
        - SALES
        - UNCATEGORIZED_REVENUE
        - RETURNS_ALLOWANCES
        - DIVIDEND_INCOME
        - INTEREST_INCOME
        - OTHER_INCOME
        - COGS
        - OPERATING_EXPENSES
        - PAYROLL
        - TAXES_LICENSES
        - UNCATEGORIZED_EXPENSE
        - CHARITABLE_CONTRIBUTIONS
        - LOAN_EXPENSES
        - FINANCE_COSTS
        - INTEREST_EXPENSES
        - DEPRECIATION
        - AMORTIZATION
        - BAD_DEBT
        - OTHER_EXPENSES
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````